%define module_name Path-Iterator-Rule-RT
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Error.pm) perl(Module/Build.pm) perl(Path/Iterator/Rule.pm) perl(RT/Client/REST.pm) perl(RT/Client/REST/Ticket.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.05
Release: alt2
Summary: Extends Path::Iterator::Rule with custom rule subroutines that make it easy to add RT ticket data a...
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/R/RB/RBLACKWE/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
use Path::Iterator::Rule::RT;

    my $rule = Path::Iterator::Rule->new;
    $rule->status("resolved");
    for my $file ( $rule->all(@ARGV) ) {
        say $file;
    }


    my $rule = Path::Iterator::Rule->new;
    $rule->and(
_$rule->new->status("new"),
_$rule->new->owner("Nobody"),
    );
    for my $file ( $rule->all(@ARGV) ) {
        say $file;
    }

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/P*

%changelog
* Sat Oct 28 2017 Igor Vlasenko <viy@altlinux.ru> 0.05-alt2
- updated summary

* Tue Apr 01 2014 Igor Vlasenko <viy@altlinux.ru> 0.05-alt1
- regenerated from template by package builder

* Mon Mar 10 2014 Igor Vlasenko <viy@altlinux.ru> 0.03-alt1
- regenerated from template by package builder

* Fri Mar 07 2014 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1
- initial import by package builder

